<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/lib/src/delay.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('delay_8c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">delay.c File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="delay_8h_source.html">delay.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="timer_8h_source.html">timer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n76_e003_8h_source.html">N76E003.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ae13f733ced53b75ad13075a96f207446"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="delay_8c.html#ae13f733ced53b75ad13075a96f207446">TIMER1_RELOAD_VALUE</a>&#160;&#160;&#160;65536 - F_SYS / (1000000UL * 12)</td></tr>
<tr class="separator:ae13f733ced53b75ad13075a96f207446"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18db685415a4c33b754ad72bcf0a87dc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="delay_8c.html#a18db685415a4c33b754ad72bcf0a87dc">TIMER_TL1</a>&#160;&#160;&#160;<a class="el" href="_function___define_8h.html#af6817ccf1e31b6660084d8a622ff65cc">LOBYTE</a>(<a class="el" href="delay_8c.html#ae13f733ced53b75ad13075a96f207446">TIMER1_RELOAD_VALUE</a>)</td></tr>
<tr class="separator:a18db685415a4c33b754ad72bcf0a87dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eeb77477b2d47d5600ab06d81240eba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="delay_8c.html#a8eeb77477b2d47d5600ab06d81240eba">TIMER_TH1</a>&#160;&#160;&#160;<a class="el" href="_function___define_8h.html#a2925c644e420fbfacc52c672a2c39fa0">HIBYTE</a>(<a class="el" href="delay_8c.html#ae13f733ced53b75ad13075a96f207446">TIMER1_RELOAD_VALUE</a>)</td></tr>
<tr class="separator:a8eeb77477b2d47d5600ab06d81240eba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50297011e7de0c77c00c565c2c6861a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="delay_8c.html#ad50297011e7de0c77c00c565c2c6861a">TIMER1_RELOAD</a>&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a4ae730549ffdf484b18e051fcddbe8ff">TH1</a> = <a class="el" href="delay_8c.html#a8eeb77477b2d47d5600ab06d81240eba">TIMER_TH1</a>; <a class="el" href="_n76_e003_8h.html#a085fdae33c36c8d6cbc00b55c111fce9">TL1</a> = <a class="el" href="delay_8c.html#a18db685415a4c33b754ad72bcf0a87dc">TIMER_TL1</a></td></tr>
<tr class="separator:ad50297011e7de0c77c00c565c2c6861a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a5af43c6bca4424b7405db65bb2e0a4ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="delay_8c.html#a5af43c6bca4424b7405db65bb2e0a4ed">delay_ms</a> (unsigned short t)</td></tr>
<tr class="memdesc:a5af43c6bca4424b7405db65bb2e0a4ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Milisecond delay.  <br /></td></tr>
<tr class="separator:a5af43c6bca4424b7405db65bb2e0a4ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b4ab8d2102cc0471bc9dde8c11a7fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="delay_8c.html#a45b4ab8d2102cc0471bc9dde8c11a7fa">delay_us</a> (unsigned short t)</td></tr>
<tr class="memdesc:a45b4ab8d2102cc0471bc9dde8c11a7fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Microsecond delay.  <br /></td></tr>
<tr class="separator:a45b4ab8d2102cc0471bc9dde8c11a7fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad50297011e7de0c77c00c565c2c6861a" name="ad50297011e7de0c77c00c565c2c6861a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad50297011e7de0c77c00c565c2c6861a">&#9670;&#160;</a></span>TIMER1_RELOAD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER1_RELOAD&#160;&#160;&#160;<a class="el" href="_n76_e003_8h.html#a4ae730549ffdf484b18e051fcddbe8ff">TH1</a> = <a class="el" href="delay_8c.html#a8eeb77477b2d47d5600ab06d81240eba">TIMER_TH1</a>; <a class="el" href="_n76_e003_8h.html#a085fdae33c36c8d6cbc00b55c111fce9">TL1</a> = <a class="el" href="delay_8c.html#a18db685415a4c33b754ad72bcf0a87dc">TIMER_TL1</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae13f733ced53b75ad13075a96f207446" name="ae13f733ced53b75ad13075a96f207446"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae13f733ced53b75ad13075a96f207446">&#9670;&#160;</a></span>TIMER1_RELOAD_VALUE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER1_RELOAD_VALUE&#160;&#160;&#160;65536 - F_SYS / (1000000UL * 12)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8eeb77477b2d47d5600ab06d81240eba" name="a8eeb77477b2d47d5600ab06d81240eba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eeb77477b2d47d5600ab06d81240eba">&#9670;&#160;</a></span>TIMER_TH1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TH1&#160;&#160;&#160;<a class="el" href="_function___define_8h.html#a2925c644e420fbfacc52c672a2c39fa0">HIBYTE</a>(<a class="el" href="delay_8c.html#ae13f733ced53b75ad13075a96f207446">TIMER1_RELOAD_VALUE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a18db685415a4c33b754ad72bcf0a87dc" name="a18db685415a4c33b754ad72bcf0a87dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18db685415a4c33b754ad72bcf0a87dc">&#9670;&#160;</a></span>TIMER_TL1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TL1&#160;&#160;&#160;<a class="el" href="_function___define_8h.html#af6817ccf1e31b6660084d8a622ff65cc">LOBYTE</a>(<a class="el" href="delay_8c.html#ae13f733ced53b75ad13075a96f207446">TIMER1_RELOAD_VALUE</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5af43c6bca4424b7405db65bb2e0a4ed" name="a5af43c6bca4424b7405db65bb2e0a4ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5af43c6bca4424b7405db65bb2e0a4ed">&#9670;&#160;</a></span>delay_ms()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void delay_ms </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Milisecond delay. </p>
<dl class="section note"><dt>Note</dt><dd>Systick based </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>Miliseconds to delay </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a45b4ab8d2102cc0471bc9dde8c11a7fa" name="a45b4ab8d2102cc0471bc9dde8c11a7fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45b4ab8d2102cc0471bc9dde8c11a7fa">&#9670;&#160;</a></span>delay_us()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void delay_us </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Microsecond delay. </p>
<dl class="section note"><dt>Note</dt><dd>Timer based </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>Microseconds to delay </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_1a84bb234c89b52eac6ccacceb8c95a3.html">lib</a></li><li class="navelem"><a class="el" href="dir_5eaeabca49434b85d2268f40b691c39f.html">src</a></li><li class="navelem"><a class="el" href="delay_8c.html">delay.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
